# This file contains variables that are essential for building
# applications on iMesh implementations without having to hack
# application Makefiles horribly each time.  Instead, one can simply
# re-run configure in the application tree with a new -with-ITAPS-dir
# argument, and the implementation-specific version of this file gets
# included automatically.  The application programmer/user can also just
# edit the pathname in their Makefile if they prefer.

BUILD_ROOT=/home/clope/GRUMMP-0.5.0
BUILD_LIB_DIR=/home/clope/GRUMMP-0.5.0/lib/libO/mingw32

INSTALLED_ROOT=/usr/i686-pc-mingw32/sys-root/mingw
INSTALLED_LIB_DIR=/usr/i686-pc-mingw32/sys-root/mingw/lib

ROOT_DIR=$(BUILD_ROOT)
LIB_DIR=$(BUILD_LIB_DIR)

IMESH_INCLUDES=-I$(ROOT_DIR)/include

IMESH_LIBS=-L$(LIB_DIR) -liMesh_GRUMMP $(IMESH_BACKEND_LIBS)

IMESH_FILES=$(LIB_DIR)/libiMesh_GRUMMP.a \
	$(ROOT_DIR)/include/iMesh.h $(IMESH_BACKEND_FILES)


IMESH_BACKEND_INCLUDES=
IMESH_BACKEND_LIBS=-lGR_3D -lGR_surf -lGR_2D -lGR_base -lSUMAAlog_lite -lOptMS

IMESH_BACKEND_FILES=$(LIB_DIR)/libGR_3D.so $(LIB_DIR)/libGR_2D.so
